VfxApply: Video Effect Toolkit
==============================

VfxApply is a tool to apply effects and filters using presets and plugins. A preset
can for example apply audio normalization, visualize audio as video, or apply a
Natron pipeline.



## Usage

    vfxapply [-i <input>] [-o <output>|-O] [-l] [-p <preset>] [-c <key>=<value>]
    
        -i  Set the input file (if omitted, a file picker will be displayed)
        -o  Set the output file (if omitted, a file picker will be displayed)
        -O  Automatically assign output filename
        -l  List presets
        -p  Select the preset to apply
        -c  Specify parameters for the preset
        -b  Batch mode, input parameter is a list of files

Examples:

    vfxapply
        Ask for input, output and preset

    vfxapply -i in.mp4 -o out.m4
        Ask for preset to apply and process in.mp4 into out.mp4

    vfxapply -O -p ffmpeg-audio-normalize
        Normalize audio after picking input, output name will be generated.

## Plugins

### ffmpeg

This plugin allows for both video filters, audio filters and complex filters
to f.ex. normalize audio or generate spectrograms of the audio channes

### natron

*This plugin is currently broken*

### executor

The executor plugin does as the name suggests; it executes one or more custom
commands on the input file. The command output can be parsed using regular
expressions to present the progress.

### melt

The melt plugin uses the MLT library, the same as is used by f.ex. Kdenlive
to process the media.

### transcode

Transcode uses the transcode tool from transcoder.org. While powerful, it
works best with AVI files.
